# Interface Searchable

All Known Implementing Classes:
  `AbstractJDBCProcessor, AbstractJDBCTestElement, AbstractListenerElement, AbstractSampler, AbstractScopedAssertion, AbstractScopedTestElement, AbstractTestElement, AbstractThreadGroup, AccessLogSampler, AjpSampler, AnchorModifier, Argument, Arguments, AuthManager, Authorization, BackendListener, BaseJMSSampler, BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTestElement, BeanShellTimer, BSFAssertion, BSFListener, BSFPostProcessor, BSFPreProcessor, BSFSampler, BSFTestElement, BSFTimer, CacheManager, CompareAssertion, ConfigTestElement, ConstantThroughputTimer, ConstantTimer, Cookie, CookieManager, CounterConfig, CriticalSectionController, CSVDataSet, DataSourceElement, DebugPostProcessor, DebugSampler, DNSCacheManager, DurationAssertion, Example1, Example2, Example3, ExampleSampler, ForeachController, FTPSampler, GaussianRandomTimer, GenericController, Header, HeaderManager, HTMLAssertion, HtmlExtractor, HTTPArgument, HTTPFileArg, HTTPFileArgs, HttpMirrorControl, HTTPSampler, HTTPSampler2, HTTPSamplerBase, HTTPSamplerProxy, IfController, IncludeController, InterleaveControl, JavaConfig, JavaSampler, JDBCPostProcessor, JDBCPreProcessor, JDBCSampler, JMSProperties, JMSProperty, JMSSampler, JSR223Assertion, JSR223Listener, JSR223PostProcessor, JSR223PreProcessor, JSR223Sampler, JSR223TestElement, JSR223Timer, JUnitSampler, KeystoreConfig, LDAPArgument, LDAPArguments, LDAPExtSampler, LDAPSampler, LoginConfig, LoopController, MailerModel, MailerResultCollector, MailReaderSampler, MD5HexAssertion, ModuleController, MongoScriptSampler, MongoSourceElement, MonitorStats, OnceOnlyController, OnErrorTestElement, ParamMask, ParamModifier, PoissonRandomTimer, PostThreadGroup, ProxyControl, PublisherSampler, RandomController, RandomOrderController, RandomTimer, RandomVariableConfig, RecordingController, RegexExtractor, RegExUserParameters, RemoteListenerWrapper, RemoteSampleListenerWrapper, RemoteTestListenerWrapper, RemoteThreadsListenerWrapper, ResponseAssertion, ResultAction, ResultCollector, ResultSaver, RunTime, ScriptingTestElement, SetupThreadGroup, SizeAssertion, SMIMEAssertionTestElement, SmtpSampler, SoapSampler, SubscriberSampler, SubstitutionElement, Summariser, SwitchController, SyncTimer, SystemSampler, TCPSampler, TestAction, TestFragmentController, TestPlan, ThreadGroup, ThroughputController, TransactionController, TransactionSampler, UniformRandomTimer, URLRewritingModifier, UserParameters, WebServiceSampler, WhileController, WorkBench, XMLAssertion, XMLSchemaAssertion, XPathAssertion, XPathExtractor`

public interface Searchable
Interface for nodes that are searchable.

A `Searchable` component will get asked for tokens, that should be used in a search. These tokens will then be matched against a user given search string.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getSearchableTokens()`
Get a list of all tokens that should be visible to searching

## Method Details

### getSearchableTokens

List<String> getSearchableTokens() throws Exception
Get a list of all tokens that should be visible to searching

Returns:
  List of searchable tokens
Throws:
  `Exception` - when something fails while getting the searchable tokens